summaryrefslogtreecommitdiffstats
path: root/libraries/exiftool
diff options
context:
space:
mode:
author David Spencer2010-05-11 20:00:45 +0200
committer Robby Workman2010-05-11 20:00:45 +0200
commit7963427b734a8c058cfc89f99359f18bac40d594 (patch)
tree40d6ce79875fb25ddf8c3c2103e721b5a016610b /libraries/exiftool
parent8c25022543e6047b8e13d583eb99ef0378ef65ee (diff)
downloadslackbuilds-7963427b734a8c058cfc89f99359f18bac40d594.tar.gz
libraries/exiftool: Added to 12.0 repository
Diffstat (limited to 'libraries/exiftool')
-rw-r--r--libraries/exiftool/README7
-rw-r--r--libraries/exiftool/exiftool.SlackBuild54
-rw-r--r--libraries/exiftool/exiftool.info8
-rw-r--r--libraries/exiftool/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/libraries/exiftool/README b/libraries/exiftool/README
new file mode 100644
index 0000000000..d68156fa90
--- /dev/null
+++ b/libraries/exiftool/README
@@ -0,0 +1,7 @@
+ExifTool is a platform-independent Perl library (Image::ExifTool) plus a
+command-line application (exiftool) for reading, writing, and editing
+meta information in image, audio, and video files.
+
+ExifTool supports many different types of metadata including EXIF, GPS,
+IPTC, XMP, JFIF, GeoTIFF, ICC Profile, Photoshop IRB, FlashPix, AFCP,
+and ID3, as well as the maker notes of many digital cameras.
diff --git a/libraries/exiftool/exiftool.SlackBuild b/libraries/exiftool/exiftool.SlackBuild
new file mode 100644
index 0000000000..380e4e985a
--- /dev/null
+++ b/libraries/exiftool/exiftool.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for Exiftool
+# Written by David Spencer <nobbutl@yahoo.co.uk>
+# This script is dedicated to the public domain
+
+PRGNAM=exiftool
+VERSION=7.12
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Image-ExifTool-$VERSION
+tar xvf $CWD/Image-ExifTool-$VERSION.tar.gz
+cd Image-ExifTool-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL
+make test
+make install DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr/man
+rmdir $PKG/usr/share
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+)
+
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README html/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/exiftool/exiftool.info b/libraries/exiftool/exiftool.info
new file mode 100644
index 0000000000..dfba039aeb
--- /dev/null
+++ b/libraries/exiftool/exiftool.info
@@ -0,0 +1,8 @@
+PRGNAM="exiftool"
+VERSION="7.12"
+HOMEPAGE="http://www.sno.phy.queensu.ca/~phil/exiftool/"
+DOWNLOAD="http://www.sno.phy.queensu.ca/~phil/exiftool/Image-ExifTool-7.12.tar.gz"
+MD5SUM="897932155b741597940941b0b93056ff"
+MAINTAINER="David Spencer"
+EMAIL="nobbutl@yahoo.co.uk"
+APPROVED="rworkman"
diff --git a/libraries/exiftool/slack-desc b/libraries/exiftool/slack-desc
new file mode 100644
index 0000000000..9976601505
--- /dev/null
+++ b/libraries/exiftool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+exiftool: exiftool (read, write, and edit EXIF and other meta information)
+exiftool:
+exiftool: ExifTool is a platform-independent Perl library (Image::ExifTool)
+exiftool: plus a command-line application (exiftool) for reading, writing,
+exiftool: and editing meta information in image, audio, and video files.
+exiftool: ExifTool supports many different types of metadata including EXIF,
+exiftool: GPS, IPTC, XMP, JFIF, GeoTIFF, ICC Profile, Photoshop IRB, AFCP,
+exiftool: FlashPix, AFCP, and ID3, and maker notes of many digital cameras.
+exiftool:
+exiftool: Homepage: http://www.sno.phy.queensu.ca/~phil/exiftool/
+exiftool: